### Method

# AppStream Component get_provided_for_kind

#### Declaration [src]

    AsProvided*
    as_component_get_provided_for_kind (
      AsComponent* cpt,
      AsProvidedKind kind
    )

#### Description [src]

Get an `AsProvided` object for the given interface type, containing information about the public interfaces (mimetypes, firmware, DBus services, …) this component provides.

#### Parameters

`kind`

  Type: `AsProvidedKind`

  Kind of the provided item, e.g. `AS_PROVIDED_KIND_MEDIATYPE`.

#### Return value

Type: `AsProvided`

`AsProvided` containing the items this component provides, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.